From 3805cb1f51b017ebf32c0a1822d2c4dca07f7dad Mon Sep 17 00:00:00 2001
From: Sourabh Singh Tomar <SourabhSingh.Tomar@amd.com>
Date: Fri, 12 Mar 2021 10:47:38 +0530
Subject: [PATCH] [gdb.base] Enable macro test for clang compiler

`clang` uses `-fdebug-macro` switch to enable debug-info
for macros.

gdb/testsuite/ChangeLog:

2021-03-10  Sourabh Singh Tomar  <SourabhSingh.Tomar@amd.com>

* gdb.base/macscp.exp: Remove -g3 from additional_flags and
  append -fdebug-macro to additional_flags for clang.
---
 gdb/testsuite/ChangeLog           | 5 +++++
 gdb/testsuite/gdb.base/macscp.exp | 4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/gdb/testsuite/ChangeLog b/gdb/testsuite/ChangeLog
index 4ea506cc9df..bcb20baaea7 100644
--- a/gdb/testsuite/ChangeLog
+++ b/gdb/testsuite/ChangeLog
@@ -1,3 +1,8 @@
+2021-03-10  Sourabh Singh Tomar  <SourabhSingh.Tomar@amd.com>
+
+	* gdb.base/macscp.exp: Remove -g3 from additional_flags and
+	append -fdebug-macro to additional_flags for clang.
+
 2021-03-09  Tom Tromey  <tromey@adacore.com>
 
 	* gdb.base/cast-call.exp: New file.
diff --git a/gdb/testsuite/gdb.base/macscp.exp b/gdb/testsuite/gdb.base/macscp.exp
index 724f7377b57..9d295ad20de 100644
--- a/gdb/testsuite/gdb.base/macscp.exp
+++ b/gdb/testsuite/gdb.base/macscp.exp
@@ -21,8 +21,10 @@ set objfile [standard_output_file ${testfile}.o]
 set options { debug additional_flags=-DFROM_COMMANDLINE=ARG}
 
 get_compiler_info
-if { [test_compiler_info "gcc-*"] || [test_compiler_info "clang-*"] } {
+if { [test_compiler_info "gcc-*"] } {
     lappend options additional_flags=-g3
+} elseif { [test_compiler_info "clang-*"] } {
+    lappend options additional_flags=-fdebug-macro
 }
 
 # Generate the intermediate object file.  This is required by Darwin to
-- 
2.17.1

